KMC_TOOLS-UNION(1)

NAME
kmc_tools-union - calculate union of two KMC databases

SYNOPSIS

kmc_tools union <input1 [input1_params]> <input2 [input2_params]> <output [output_params]>

DESCRIPTION

The output database will contain all k-mers present in both input sets. For the same k-mers in the first and the second input, the counter in the output is equal to the sum from both inputs.

OPTIONS

For each input there are additional parameters:

-ci<value>
    exclude k-mers occurring less than <value> times

-cx<value>
    exclude k-mers occurring more of than <value> times

For output there are additional parameters:

-ci<value>
    exclude k-mers occurring less than <value> times

-cx<value>
    exclude k-mers occurring more of than <value> times

-cs<value>
    maximal value of a counter

EXAMPLE

kmc -k28 file1.fastq kmers1 tmp kmc -k28 file2.fastq kmers2 tmp kmc_tools union kmers1 -ci3 -cx70000 kmers2 kmers1_kmers2_union -cs65536

AUTHOR

KMC was originally written by:

    • Sebastian Deorowicz (

    • Marek Kokot

    • Szymon Grabowski

    • Agnieszka Debudaj-Grabysz

COPYING

KMC is a free software distributed under GNU GPL3 licence for academic, research, and commercial use.